Subject: Re: [PATCH] autoconf: Add support for --infodir

From: Jakub Narebski <[email-masked]>
Date: Sat, 28 Feb 2009 02:57:55 +0100

On Sat, 28 Feb 2009, David Syzdek wrote:
> On Fri, Feb 27, 2009 at 3:33 PM, Jakub Narebski <[email-masked]> wrote:
>> On Thu, 26 Feb 2009, Jeff King wrote:
>>> On Thu, Feb 26, 2009 at 09:48:29AM -0500, Tim Visher wrote:
>>>
>>>> I'm working on getting git 1.6.2-rc2 built.  I have a bin, man, info,
>>>> and html directory in my home folder that I'd like to use as the
>>>> defaults for git.  I attempted to do this through
>>>>
>>>>     make configure
>>>>     ./configure --XXdir=/full/path/to/dir
>>>>     make all man info html
>>>>     make install install-man install-info install-html
[...]

>>> The configure support is notoriously incomplete (AFAIK, very few of the
>>> active developers use it regularly). Probably you need something like
>>> this (but I didn't test it):
>>>
>>> diff --git a/config.mak.in b/config.mak.in
>>> index 7cce0c1..505d5c7 100644
>>> --- a/config.mak.in
>>> +++ b/config.mak.in
>>> @@ -18,6 +18,8 @@ datarootdir = @datarootdir@
>>>  template_dir = @datadir@/git-core/templates
>>>
>>>  mandir=@mandir@
>>> +htmldir=@htmldir@
>>> +infodir=@infodir@
>>>
>>>  srcdir = @srcdir@
>>>  VPATH = @srcdir@
>>
>> Well, the infodir part works trivially, because autoconf (and
>> therefore ./configure script) has support for --infodir=DIR.
>> Below there is patch that adds that, with the commit message.
>>
>> But it is more difficult with respect to --htmldir. I am not autoconf
>> hacker, so I don't know how to add support for having --htmldir=DIR in
>> ./configure (in configure.ac).  What can be done is to derive htmldir
>> in config.mak.in from other sources, for example:
> 
> Autoconf add support for --htmldir in version 2.60.  Here is a snippet from
> the help message from a configure script generated with 2.60:
> 
> --datarootdir=DIR       read-only arch.-independent data root [PREFIX/share]
> 
> --docdir=DIR            documentation root [DATAROOTDIR/doc/PROJECT_TARNAME]
> 
> --htmldir=DIR           html documentation [DOCDIR]
> 
> 
> The current configure.ac requires autoconf version>= 2.59, bumping the
> requirement to autoconf>= 2.60 would allow the autoconf variable $(htmldir)
> to be used.  Bumping the required version of autoconf will affect users with
> older linux installations who use git to upgrade git; and may affect the
> maintainer's ability to create a "release" tarball if he has an older
> version of autoconf.

Well, I have autoconf 2.59, so I cannot test the following patch
(and I am not sure if it is welcome). And of course it needs commit
message, at least with explanation why bumping required version of
autoconf was needed.

-- >8 --
diff --git a/config.mak.in b/config.mak.in
index acff9ed..56a0147 100644
--- a/config.mak.in
+++ b/config.mak.in
@@ -19,6 +19,7 @@ template_dir = @datadir@/git-core/templates
 
 mandir=@mandir@
 infodir=@infodir@
+htmldir=@htmldir@
 
 srcdir = @srcdir@
 VPATH = @srcdir@
diff --git a/configure.ac b/configure.ac
index 082a03d..b1ab0e1 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 #                                               -*- Autoconf -*-
 # Process this file with autoconf to produce a configure script.
 
-AC_PREREQ(2.59)
+AC_PREREQ(2.60)
 AC_INIT([git], [@@GIT_VERSION@@], [[email-masked]])
 
 AC_CONFIG_SRCDIR([git.c])

-- 
Jakub Narebski
Poland